> For the complete documentation index, see [llms.txt](https://docs.petabencana.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.petabencana.id/routes/area-banjir-arsip.md).

# Area Banjir/Arsip

Arsip area banjir (lihat dokumentasi [*endpoint* Area Banjir](https://docs.petabencana.id/routes/areabanjir)), disajikan sebagai status banjir maksimum yang tercatat untuk semua daerah yang terdampak banjir dalam periode waktu tertentu. Status maksimum area banjir dicatat di samping id area. Gunakan *endpoint* Area Banjir untuk mendapatkan batas geospasial dari masing-masing wilayah.

‌Saat ini data yang tersedia hanya untuk wilayah Jakarta.

## Format Permintaan

| Parameter Kueri | Deskripsi                 | Format                                                 | Wajib |
| --------------- | ------------------------- | ------------------------------------------------------ | ----- |
| start           | Waktu mulai periode arsip | String dalam format ISO 8601 (YYYY-MM-DDTHH:mm:ss+ZZZZ | Ya    |
| end             | Waktu akhir periode arsip | String dalam format ISO 8601 (YYYY-MM-DDTHH:mm:ss+ZZZZ | Ya    |

Perhatikan bahwa zona waktu harus ditentukan sebagai perbedaan waktu +/- UTC yang memerlukan pengkodean karakter HTML (mis. +0700 menjadi %2B0700).

## Get /floods/archive

## GET /floods

Daftar semua area terdampak banjir di Jakarta dengan status banjir 1 atau lebih tinggi.

```
curl "https://data.petabencana.id/floods/archive?start=2017-06-07T00:00:00%2B0700&end=2017-06-08T23:00:00%2B0700"
```

Hasilnya adalah sebagai berikut:

```javascript
    {
        "statusCode": 200,
        "result": [
            {
                "area_id": "509",
                "last_updated": "2017-11-03T22:57:01.387Z",
                "max_state": 1
            },
            {
                "area_id": "510",
                "last_updated": "2017-11-03T22:57:10.463Z",
                "max_state": 4
            }
        ]
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.petabencana.id/routes/area-banjir-arsip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
